IMAGE_NAME="python-java"

all: build run

build:
	docker build . -t $(IMAGE_NAME)


run:
	docker run \
    -it \
	-v /home/${USER}:/home/${USER} \
	--user $(shell id -u):$(shell id -g) \
	-v /etc/passwd:/etc/passwd \
	-v /etc/group:/etc/group \
    -v $(shell pwd)/../../:/cjvt-srl-tagging \
	-w /cjvt-srl-tagging \
	-v /home/kristjan/kres_mount:/kres_mount:ro \
    python-java \
    /bin/bash
